./databases/ruby-hiera, Light weight hierarchical data store

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 3.6.0, Package name: ruby24-hiera-3.6.0, Maintainer: pkgsrc-users

Hiera

A simple pluggable Hierarchical Database.


Required to run:
[lang/ruby24-base]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: e55752bec6aeae71f941f0c0d2a75a79064078bb
RMD160: 8f9010961c9f54420baeb14e99b1eafca9ca5a5e
Filesize: 40 KB

Version history: (Expand)


CVS history: (Expand)


   2019-10-23 18:09:16 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
databases/ruby-hiera: update to 3.6.0

Update ruby-hiera to 3.6.0

No change except version.
   2019-07-13 17:59:26 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
databases/ruby-hiera: update to 3.5.0

Update ruby-hiera to 3.5.0.  No changes are available.
   2018-09-23 15:50:46 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
databases/ruby-hiera: update to 3.4.5

Changes are too many to write here, please refer
<https://github.com/puppetlabs/hiera/compare/3.4.2...3.4.5> in detail.
   2017-10-31 16:51:29 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
databases/ruby-hiera: update to 3.4.2

* Reference actual config version in error message.
   2017-09-18 05:42:14 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
databases/ruby-hiera: update to 3.4.1

Hard-coding hiera's version in gemspec.
   2017-07-31 16:05:23 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
Update ruby-hiera to 3.4.0.

3.3.2
* Add AppVeyor support (with locales)
* Remove win32console gem dependency
* Remove / replace win32-dir usage
* Remove platform-specific gem support

3.4.0
* Tech-debt: links.puppetlabs.com -> links.puppet.com
   2017-06-12 17:21:19 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
Update ruby-hiera to 3.3.1.

Changes are too many to write here, please refer changes in GitHub.
<https://github.com/puppetlabs/hiera/compare/1.3.4...3.3.1>.
   2017-05-30 17:13:04 by Takahiro Kambe | Files touched by this commit (5)
Log message:
Stop using RUBY_JSON_{REQD,TYPE} since all ruby2*-base pacakges contain
required version of json extension.